TypeSizes (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class TypeSizes

- java.lang.Object
- - org.apache.cassandra.db.TypeSizes

-     public final class TypeSizes
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `encodedUTF8Length(java.lang.String st)`
    `static int` | `sizeof(boolean value)`
    `static int` | `sizeof(byte value)`
    `static int` | `sizeof(int value)`
    `static int` | `sizeof(long value)`
    `static int` | `sizeof(short value)`
    `static int` | `sizeof(java.lang.String value)` assumes UTF8
    `static int` | `sizeof(java.util.UUID value)`
    `static int` | `sizeofUnsignedVInt(long value)`
    `static int` | `sizeofVInt(long value)`
    `static int` | `sizeofWithLength(java.nio.ByteBuffer value)`
    `static int` | `sizeofWithShortLength(java.nio.ByteBuffer value)`
    `static int` | `sizeofWithVIntLength(java.nio.ByteBuffer value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sizeof

          public static int sizeof(java.lang.String value)

      assumes UTF8

    - #### encodedUTF8Length

          public static int encodedUTF8Length(java.lang.String st)

    - #### sizeofWithShortLength

          public static int sizeofWithShortLength(java.nio.ByteBuffer value)

    - #### sizeofWithLength

          public static int sizeofWithLength(java.nio.ByteBuffer value)

    - #### sizeofWithVIntLength

          public static int sizeofWithVIntLength(java.nio.ByteBuffer value)

    - #### sizeof

          public static int sizeof(boolean value)

    - #### sizeof

          public static int sizeof(byte value)

    - #### sizeof

          public static int sizeof(short value)

    - #### sizeof

          public static int sizeof(int value)

    - #### sizeof

          public static int sizeof(long value)

    - #### sizeof

          public static int sizeof(java.util.UUID value)

    - #### sizeofVInt

          public static int sizeofVInt(long value)

    - #### sizeofUnsignedVInt

          public static int sizeofUnsignedVInt(long value)

Copyright © 2018 The Apache Software Foundation